Bug 1040786 - (CVE-2013-7048) CVE-2013-7048 Openstack Nova: insecure directory permissions in snapshots
CVE-2013-7048 Openstack Nova: insecure directory permissions in snapshots
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130918,repor...
: Security
Depends On: 1040788 1040789 1063634 1063636 1063637
Blocks: 1023240 1040792
  Show dependency treegraph
 
Reported: 2013-12-12 01:25 EST by Ratul Gupta
Modified: 2016-04-26 20:15 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 03:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-12 01:25:49 EST
A vulnerability was discovered in OpenStack Nova, where the directories used to temporarily store live snapshots on Nova compute nodes were writeable to all local users. 

The issue has said to be surfaced due to a previous fix (https://review.openstack.org/gitweb?p=openstack%2Fnova.git;a=commitdiff;h=46de2d1e2d0abd6fdcd4da13facaf3225c721f5e), where the temporary directory was given 777 permissions, which could allow every user on the whole system to write there. A local attacker with shell access on compute nodes could therefore read and modify the contents of live snapshots before those are uploaded to the image service.

References:
http://seclists.org/oss-sec/2013/q4/474
https://bugs.launchpad.net/nova/+bug/1227027
Comment 1 Ratul Gupta 2013-12-12 01:27:12 EST
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 1040788]
Affects: epel-6 [bug 1040789]
Comment 2 Kurt Seifried 2014-01-13 14:36:27 EST
Fix information:

Icehouse (development branch) fix:
https://review.openstack.org/#/c/58852/

Havana fix:
https://review.openstack.org/#/c/60548/

Grizzly fix:
https://review.openstack.org/#/c/60550/
Comment 5 Murray McAllister 2014-02-14 03:09:42 EST
Salvatore Bonaccorso noted in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732022 "From https://wiki.openstack.org/wiki/ReleaseNotes/2013.2.2 and looking at nova/virt/libvirt/driver.py this looks it is fixed only in 2013.2.2."

Is that a concern for anything Red Hat ships?
Comment 8 Fedora Update System 2014-02-25 02:52:55 EST
openstack-nova-2013.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2014-03-04 14:04:21 EST
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0231 https://rhn.redhat.com/errata/RHSA-2014-0231.html
Comment 10 Fedora Update System 2014-04-02 05:14:19 EDT
openstack-nova-2013.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2014-04-03 16:20:47 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0366 https://rhn.redhat.com/errata/RHSA-2014-0366.html

Note You need to log in before you can comment on or make changes to this bug.